
From: Nishanth Aravamudan <nacc@us.ibm.com>

Uses msleep() instead of schedule_timeout() to guarantee
the task delays at least the desired time amount.

Signed-off-by: Nishanth Aravamudan <nacc@us.ibm.com>
Signed-off-by: Maximilian Attems <janitor@sternwelten.at>
Signed-off-by: Domen Puncer <domen@coderock.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/ide/ide-tape.c |    3 +--
 1 files changed, 1 insertion(+), 2 deletions(-)

diff -puN drivers/ide/ide-tape.c~janitor-ide-tape-replace-schedule_timeout-with-msleep drivers/ide/ide-tape.c
--- devel/drivers/ide/ide-tape.c~janitor-ide-tape-replace-schedule_timeout-with-msleep	2005-08-08 23:15:59.000000000 -0700
+++ devel-akpm/drivers/ide/ide-tape.c	2005-08-08 23:15:59.000000000 -0700
@@ -2903,8 +2903,7 @@ static int idetape_wait_ready(ide_drive_
 		} else if (!(tape->sense_key == 2 && tape->asc == 4 &&
 			     (tape->ascq == 1 || tape->ascq == 8)))
 			return -EIO;
-		current->state = TASK_INTERRUPTIBLE;
-  		schedule_timeout(HZ / 10);
+		msleep(100);
 	}
 	return -EIO;
 }
_
